Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_heuristic_object_is_literal

## Name

librdf_heuristic_object_is_literal -- try to guess if an object string is a literal or a resource

## Synopsis

``int `librdf_heuristic_object_is_literal`` (char * `object`);`

## Arguments

`object`

  string object to guess type

## Description

The guessing is done by assuming the object is a URL if it matches ^[`isalnum`]+:[^`isblank`]+$

This will be fooled by literals of form 'thing:non-blank-thing' but is good enough.

## Return value

non 0 if object is probably a literal

<<< Previous | Home | Next >>>
librdf_heuristic_get_blank_node | Up | librdf_heuristic_gen_name